PCAP_CAN_SET_RFMON(3) |  | PCAP_CAN_SET_RFMON(3)

# NAME

pcap_can_set_rfmon - check whether monitor mode can be set for a not-yet-activated capture handle

# SYNOPSIS

#include <pcap/pcap.h>

int pcap_can_set_rfmon(pcap_t *p);

# DESCRIPTION

pcap_can_set_rfmon() checks whether monitor mode could be set on a capture handle when the handle is activated.

# RETURN VALUE

pcap_set_rfmon() returns 0 if monitor mode could not be set, 1 if monitor mode could be set, PCAP_ERROR_NO_SUCH_DEVICE if the device specified when the handle was created doesn't exist, PCAP_ERROR_ACTIVATED if called on a capture handle that has been activated, or PCAP_ERROR if an error occurred. If PCAP_ERROR is returned, pcap_geterr() or pcap_perror() may be called with p as an argument to fetch or display the error text.

# SEE ALSO

pcap(3), pcap_create(3), pcap_activate(3), pcap_set_rfmon(3)

5 April 2008 |